#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int n;
    cin>>n;
    char a[n+1];
    for(int k=0;k<n;k++)
        cin>>a[k];
    a[n]='/0';
    int i=0;
    int j=1;
    int br=1;
    long long int brKomb=1;
    while(j<=n)
    {
            if(a[j]=='/0')
                brKomb*=br;
            if((int)a[j]==(int)a[i])
            {
                br++;
            }
            else
            {
                brKomb*=br;
                br=1;
            }
            i++;
            j++;

    }
    cout<<brKomb%((int)pow(10,9)+7);
    return 0;
}